šŸ”“ Multiple Food Dishes Segmentation ā±ā­ Detects every food item on the image, recognises it and then automatically detects the food quantity present in it.

Ā© Consumes your monthly credits. Limited amount of monthly calls, exceeding calls will be charged as extras.

(D) Limited amount of daily calls per user.

(S) Limited amount of calls per second.

Ā 

It applies the same food segmentation procedure as in /image/segmentation/complete and additionally it automatically calculates the food quantity for each of the detected regions. The only output difference in this endpoint is that an additional attribute named 'serving_size' is provided for each of the elements inside the 'segmentation_results' list.

Ā 

Geographic Personalization: we recommend setting the country parameter associated to the end-user (APIUser) before applying any food recognition/segmentation call. See any /modifyUserProfileInfo endpoint for additional details.

Ā 

Additionally, any endpoint and internal procedure that is based on food quantity uses by default the automatically estimated food quantity (e.g. ingredients definition or nutritional information estimation). Note that the segmentation_results might not be directly applicable to the uploaded image size. The segmentation pixel values are scaled depending on the 'processed_image_size' values provided for each of the images (the images might be sometimes resized depending on the needs of the food recognition algorithms used).

Ā 

In order to compute the food quantity a depth image has to be provided. The depth image must be extracted using the LogMeal Depth SDK, that you will have to integrate into your App accordingly. Two SDKs are available, the iOS Depth SDK and the Android Depth SDK.

Ā 

IMPORTANT: Note that this endpoint has two parameters in the request body ('image' and 'depth') which are in the 'multipart/form-data', and the remaining parameters are in 'application/json'. You can check it from the dropdown from the right corner.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
enum
required

String containing the version of the recognition algorithm/model. If not provided, the endpoint will default to the first version listed in /version/activeModels

Allowed:
Query Params
string
enum

Desired language for the response. It must be a three-letter ISO 639-2/T code. Defaults to the APIUser's assigned language or english.

Body Params

Image sent in files

cam_focal_length
object
required

Camera focal length extracted with LogMeal SDK.

cam_principal_point
object
required

Camera principal point extracted with LogMeal SDK.

depth_image_size
object
required

Size in pixels of the depth image extracted with LogMeal SDK.

camera_pose
array of floats
required

List of floats that describe the camera pose extracted using the LogMeal Depth SDK.

camera_pose*
string
enum
required

Version of the depth image provided. This depends on the SDK used iOS/Android.

Allowed:
Responses

401

Unauthorized, invalid token

403

You are not allowed to this method.

404

The specified URL was not found or couldn’t be retrieved

429

Too Many Requests. (limited per daily calls per user or overall calls per second)

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json